[![build](https://github.com/mikulatomas/fcapsy/actions/workflows/build.yml/badge.svg?branch=main)](https://github.com/mikulatomas/fcapsy/actions/workflows/build.yml?query=branch%3Amain)
[![codecov](https://codecov.io/gh/mikulatomas/fcapsy/branch/main/graph/badge.svg?token=ky2GUW51mj)](https://codecov.io/gh/mikulatomas/fcapsy)
[![PyPI version](https://badge.fury.io/py/fcapsy.svg)](https://badge.fury.io/py/fcapsy)
[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg)](https://opensource.org/licenses/MIT)
[![Code style: black](https://img.shields.io/badge/code%20style-black-000000.svg)](https://github.com/psf/black)

# fcapsy

The `fcapsy` provides experimental implementations of some psychological phenomena (e.g. typicality, basic level) which appears in field of [Cognitive Psychology](https://en.wikipedia.org/wiki/Cognitive_psychology).

Library is based on [Formal Concept Analysis](https://en.wikipedia.org/wiki/Formal_concept_analysis) framework which is provided by great [concepts library](https://github.com/xflr6/concepts).

⚠️ Library is mainly used in research. API can change rapidly.

![logo](https://github.com/mikulatomas/fcapsy/raw/main/logo.png)

## Installation
Package is avaliable in alpha version via `pip`.

```bash
$ pip install fcapsy
```

## Experiments
Set of experiments is avaliable in [fcapsy-experiments](https://github.com/mikulatomas/fcapsy-experiments) package.

## Used in papers
> Belohlavek, R., & Mikula, T. (2020). Typicality in Conceptual Structures Within the Framework of Formal Concept Analysis. Proceedings of CLA 2020, 33-45.
http://ceur-ws.org/Vol-2668/paper2.pdf

> Belohlavek, R., & Mikula, T. (2021). Typicality: A formal concept analysis account. International Journal of Approximate Reasoning.
https://doi.org/10.1016/j.ijar.2021.12.001

## Based on papers
> Belohlavek, R., & Trnecka, M. (2020). Basic level of concepts in formal concept analysis 1: formalization and utilization. International Journal of General Systems, 1-18.

## Dependencies

fcapsy requires:

* Python (>= 3.7)
* [concepts](https://github.com/xflr6/concepts)
* [binsdpy](https://github.com/mikulatomas/binsdpy)
